[SOLVED] yum update fails - "ERROR with rpm_check_debug vs depsolve"
FedoraForum.org - Fedora Support Forums and Community
Page 1 of 2 1 2 LastLast
Results 1 to 15 of 20
  1. #1
    Join Date
    Nov 2011
    Posts
    10

    SOLVED: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    UPDATE: There is a solution for this. Final (but not all) details in post #20


    Here is the tail of my yum update:

    Install 20 Package(s)
    Upgrade 432 Package(s)

    Total size: 330 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    system-release >= 13 is needed by (installed) rpmfusion-free-release-13-4.noarch
    system-release >= 13 is needed by (installed) rpmfusion-nonfree-release-13-4.noarch
    fedora-release = 15-1 is needed by (installed) fedora-release-rawhide-15-1.noarch
    /etc/system-release is needed by (installed) initscripts-9.30.1-1.fc15.x86_64
    Please report this error in http://yum.baseurl.org/report
    You could try running: rpm -Va --nofiles --nodigest
    Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2011-11-01-15-59jq_El6.yumtx

    I have tried un-installing rpmfusion repo's and a few other things, but I still end up with some issue with rawhide. I originally installed from a Fedora 15 Xfce4 spin (not rawhide).

    Any clue appreciated...
    Last edited by pourhaus; 3rd November 2011 at 02:28 AM. Reason: Note that there is a solution

  2. #2
    Join Date
    Jul 2004
    Location
    Colton, NY; Junction of Heaven & Earth (also Routes 56 & 68).
    Age
    73
    Posts
    23,511

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    Have you tried going in to /etc/yum.repos.d and seeing if fedora-release-rawhide.repo is enabled (1) rather than disabled (0)?
    Linux & Beer - That TOTALLY Computes!
    Registered Linux User #362651


    Don't use any of my solutions on working computers or near small children.

  3. #3
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    Yeah, the Googling I have done so far made me check that: enabled=0.

  4. #4
    Join Date
    Mar 2004
    Location
    In your closet
    Posts
    15,715

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    What does cat /etc/system-release say?
    PHP Code:
    [glenn@phenom15 ~>$ cat /etc/system-release
    Fedora release 15 
    (Lovelock
    Glenn
    The Bassinator

  5. #5
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    Yup:

    mashie ) cat /etc/system-release
    Fedora release 15 (Lovelock)

  6. #6
    Join Date
    Mar 2009
    Location
    Broomfield, CO
    Posts
    438

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    yum remove rpmfusion-free-release-13-4.noarch rpmfusion-nonfree-release-13-4.noarch fedora-release-rawhide-15-1.noarch

    You may need to 'yum install fedora-release' if you don't have it installed. You may need to re-install the correct rpmfusion releases for f15 after that if you want to use stuff from rpmfusion.

  7. #7
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    Tried going down that path. It seems that performaing a "yum remove" on the rawhide package will pretty much remove Fedora...

    [root@mashie customize]# rpm -qa | egrep 'rpmfusion|rawhide|fedora-release'
    fedora-release-rawhide-15-1.noarch
    fedora-release-notes-15.0.0-1.fc15.noarch
    fedora-release-15-1.noarch
    [root@mashie customize]# yum remove fedora-release-rawhide-15-1.noarch

    [...]

    Transaction Summary
    ================================================== ==============================
    Remove 245 Package(s)

    Installed size: 569 M
    Is this ok [y/N]:

    Is it possible to remove the rawhide package but not remove it's dependencies? Will this break any future update/upgrade?

    I have also tried "yum distro-sync" if anyone is thinking of suggesting that. It failed in a similar way to the original "yum update".

  8. #8
    Join Date
    Mar 2009
    Location
    Broomfield, CO
    Posts
    438

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    oh yeah, that was the broken fedora-release-rawhide that depended on fedora-release. It was fixed in the -3 update. ;(

    Try removing just the other things and then seeing if you can 'yum update'

  9. #9
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    Yes. I have seen the bug report on the broken fedora-release-rawhide, plus what may be a workaround - update it to -3. That has also failed, and attempting an update with no rpmfusion packages installed also failed.

  10. #10
    Join Date
    Mar 2009
    Location
    Broomfield, CO
    Posts
    438

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    after removing the other broken packages, what does 'yum update' fail with? can you attach the output?

  11. #11
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    With no rpmfusion, the summary is:

    Transaction Summary
    ================================================== ==============================
    Install 20 Package(s)
    Upgrade 432 Package(s)

    Total size: 330 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    fedora-release = 15-1 is needed by (installed) fedora-release-rawhide-15-1.noarch
    /etc/system-release is needed by (installed) initscripts-9.30.1-1.fc15.x86_64
    Please report this error in http://yum.baseurl.org/report
    You could try running: rpm -Va --nofiles --nodigest
    Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2011-11-02-11-590i40S1.yumtx

    Full output of yum update is attached.
    Attached Files Attached Files

  12. #12
    Join Date
    Mar 2009
    Location
    Broomfield, CO
    Posts
    438

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    ok, try:

    yum shell

    erase fedora-release-rawhide
    update fedora-release
    run

    and see if that updates fedora-release and removes fedora-release-rawhide.

  13. #13
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    OK this seems like an improvement. I still have one depsolve issue regarding initscripts:

    Setting up Yum Shell
    > erase fedora-release-rawhide
    Setting up Remove Process
    > update fedora-release
    Setting up Update Process
    > run
    --> Running transaction check
    ---> Package centos-release.i386 10:5-7.el5.centos will be obsoleting
    --> Processing Dependency: centos-release-notes for package: 10:centos-release-5-7.el5.centos.i386
    ---> Package fedora-release.noarch 0:15-1 will be updated
    ---> Package fedora-release.noarch 0:15-1 will be obsoleted
    ---> Package fedora-release.noarch 0:15-3 will be obsoleting
    ---> Package fedora-release-rawhide.noarch 0:15-1 will be obsoleted
    ---> Package fedora-release-rawhide.noarch 0:15-1 will be erased
    --> Running transaction check
    ---> Package centos-release-notes.i386 0:5.7-0 will be installed
    --> Finished Dependency Resolution

    ================================================== ==============================
    Package Arch Version Repository Size
    ================================================== ==============================
    Installing:
    centos-release i386 10:5-7.el5.centos
    base-i386 20 k
    replacing fedora-release.noarch 15-1
    fedora-release noarch 15-3 updates 25 k
    replacing fedora-release-rawhide.noarch 15-1
    Removing:
    fedora-release-rawhide noarch 15-1 @koji-override-1/$releasever 2.0 k
    Installing for dependencies:
    centos-release-notes i386 5.7-0 base-i386 40 k

    Transaction Summary
    ================================================== ==============================
    Install 3 Package(s)
    Remove 1 Package(s)

    Total size: 85 k
    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    /etc/system-release is needed by (installed) initscripts-9.30.1-1.fc15.x86_64

    Transaction encountered a serious error.
    >

  14. #14
    Join Date
    Mar 2009
    Location
    Broomfield, CO
    Posts
    438

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    uh... centos-release? Is this a fedora or a centos host?

  15. #15
    Join Date
    Nov 2011
    Posts
    10

    Re: yum update fails - "ERROR with rpm_check_debug vs depsolve"

    Fedora. I have noticed that as well, no idea where it came from.

Page 1 of 2 1 2 LastLast

Similar Threads

  1. ERROR with rpm_check_debug vs depsolve:
    By mario960 in forum EOL (End Of Life) Versions
    Replies: 1
    Last Post: 10th September 2011, 11:30 AM
  2. YUM UPDATE ERROR - "rpm_check_debug vs depsolve" ??
    By ktulu100 in forum Using Fedora
    Replies: 21
    Last Post: 20th March 2011, 09:20 PM
  3. ERROR with rpm_check_debug vs depsolve
    By Antonix in forum Using Fedora
    Replies: 1
    Last Post: 7th June 2009, 10:58 PM
  4. Replies: 1
    Last Post: 26th January 2009, 06:03 PM
  5. F9 Yum update ERROR with rpm_check_debug vs depsolve:
    By sirwiggum in forum Using Fedora
    Replies: 2
    Last Post: 29th September 2008, 09:54 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •